Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

/scripts/upcp --force Error

Discussion in 'General Discussion' started by cyc, May 17, 2006.

  1. cyc

    cyc Member

    Joined:
    Feb 18, 2004
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    151
    Hi

    I first noticed this problem when the /scripts/upcp cron was run today and the error below was emailed to me. Also when I run ( /scripts/upcp --force ) I get the error:

    Code:
    root@[/]# /scripts/upcp --force
    Array found where operator expected at /usr/lib/perl5/5.8.1/IPC/Open3.pm line 250, at end of line
       (Missing operator before ?)
    syntax error at /usr/lib/perl5/5.8.1/IPC/Open3.pm line 250, near "pqsh @close"
    Compilation failed in require at /scripts/cPScript/MirrorSearch.pm line 10.
    BEGIN failed--compilation aborted at /scripts/cPScript/MirrorSearch.pm line 10.
    Compilation failed in require at /scripts/cPScript/HttpRequest.pm line 18.
    BEGIN failed--compilation aborted at /scripts/cPScript/HttpRequest.pm line 18.
    Compilation failed in require at /scripts/upcp line 15.
    BEGIN failed--compilation aborted at /scripts/upcp line 15.
    I cant run any updates from WHM. Some other things i've noticed nolonger function are webmail, awstats and I see the same errors when restarting cpanel.

    Code:
    root@ [/]# /etc/rc.d/init.d/cpanel restart
    Stopping cPanel services:                                  [  OK  ]
    Stopping pop3 services:                                    [  OK  ]
    Stopping cPanel log services:                              [FAILED]
    Stopping cPanel Chat services:                             [FAILED]
    Stopping Melange Chat services:                            [FAILED]
    Stopping InterChange services:                             [FAILED]
    Stopping cPanel ssl services:                              [  OK  ]
    
    Stopping mailman services: Shutting down Mailman's master qrunner
    
    Starting eximstats: Array found where operator expected at /usr/lib/perl5/5.8.1/IPC/Open3.pm line 250, at end of line
       (Missing operator before ?)
    syntax error at /usr/lib/perl5/5.8.1/IPC/Open3.pm line 250, near "pqsh @close"
    Compilation failed in require at /usr/local/cpanel/Cpanel/SafeRun.pm line 13.
    BEGIN failed--compilation aborted at /usr/local/cpanel/Cpanel/SafeRun.pm line 13.
    Compilation failed in require at /usr/local/cpanel/Cpanel/cPanelFunctions.pm line 16.
    BEGIN failed--compilation aborted at /usr/local/cpanel/Cpanel/cPanelFunctions.pm line 16.
    Compilation failed in require at /usr/local/cpanel/bin/starteximstats line 11.
    BEGIN failed--compilation aborted at /usr/local/cpanel/bin/starteximstats line 11.
                                                               [FAILED]
    Starting cPanel services:                                  [  OK  ]
    Starting cPanel Log services: Array found where operator expected at /usr/lib/perl5/5.8.1/IPC/Open3.pm line 250, at end of line
       (Missing operator before ?)
    syntax error at /usr/lib/perl5/5.8.1/IPC/Open3.pm line 250, near "pqsh @close"
    Compilation failed in require at /usr/lib/perl5/5.8.1/IPC/Open2.pm line 110.
    Compilation failed in require at /usr/local/cpanel/cpanellogd line 18.
    BEGIN failed--compilation aborted at /usr/local/cpanel/cpanellogd line 18.
                                                               [FAILED]
    Starting pop3 services:                                    [  OK  ]
    Starting cPanel Chat services:
    Starting Melange Chat services:
    Starting cPanel ssl services:                              [FAILED]
    Starting mailman services: Starting Mailman's master qrunner.
    I have 3 other cPanel servers, none of them have this problem. Any ideas are appreciated.

    regards

    steve
     
  2. AndyReed

    AndyReed Well-Known Member
    PartnerNOC

    Joined:
    May 29, 2004
    Messages:
    2,222
    Likes Received:
    4
    Trophy Points:
    193
    Location:
    Minneapolis, MN
    I suggest you install/upgrade Perl to the latest version 5.8.7.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. cyc

    cyc Member

    Joined:
    Feb 18, 2004
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    151

    I tried using the perl installer from here http://layer1.cpanel.net/ , no luck.

    Code:
    root@www0 [/usr/local/src/perl587installer]# ./install
    Array found where operator expected at /usr/lib/perl5/5.8.1/IPC/Open3.pm line 250, at end of line
       (Missing operator before ?)
    syntax error at /usr/lib/perl5/5.8.1/IPC/Open3.pm line 250, near "pqsh @close"
    Compilation failed in require at /usr/lib/perl5/5.8.1/IPC/Open2.pm line 110.
    Compilation failed in require at ./install line 6.
    BEGIN failed--compilation aborted at ./install line 6.
    regards
     
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice